| FoxitPDFSDKforWeb v11.0.5 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
ActivationGroup Class Reference
PDFViewCtrl

ActivationGroup class is extended from Activatable and used to implement multiple activation operations. Example:

var activatable1 = pdfViewer.getAnnotRender(0, '<annotation id 1>').getComponent();
var activatable2 = pdfViewer.getAnnotRender(0, '<annotation id 2>').getComponent();
var activatable3 = pdfViewer.getAnnotRender(0, '<annotation id 3>').getComponent();
var group = new PDFViewCtrl.ActivationGroup();
group.add(activatable1);
group.add(activatable2);
pdfViewer.activateElement(group); // both activatable1 and activatable2 are going to be activated!
group.add(activatable3); // activatable3 will also be activated!
group.remove(activatable2); // activatable2 will be unactivated!
pdfViewer.deactivateElement(group) // All activatables in group are going to be unactivated!

. More...

## Public Member Functions
public void | add (target:Activatable)
| Adds an activatable object to the activation list, and activate it.
public void | clear ()
| Clears all activatable objects and deactivate them.
public void | contains (other:Activatable)
| Whether an activatable object is in this activation list. More...
public void | remove (target:Activatable)
| Removes an activatable object if it is in the activation list, and deactivate it!

## Detailed Description

ActivationGroup class is extended from Activatable and used to implement multiple activation operations. Example:

var activatable1 = pdfViewer.getAnnotRender(0, '<annotation id 1>').getComponent();
var activatable2 = pdfViewer.getAnnotRender(0, '<annotation id 2>').getComponent();
var activatable3 = pdfViewer.getAnnotRender(0, '<annotation id 3>').getComponent();
var group = new PDFViewCtrl.ActivationGroup();
group.add(activatable1);
group.add(activatable2);
pdfViewer.activateElement(group); // both activatable1 and activatable2 are going to be activated!
group.add(activatable3); // activatable3 will also be activated!
group.remove(activatable2); // activatable2 will be unactivated!
pdfViewer.deactivateElement(group) // All activatables in group are going to be unactivated!

.

See also
  PDFViewer.activateElement
  PDFViewer.deactivateElement

## Member Function Documentation

## ◆ contains()

public void contains | ( |  | other:Activatable | ) |

Whether an activatable object is in this activation list.

Returns
  boolean

@2025 Foxit Software Incorporated. All rights reserved.